Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.management.mbean
Interface MuleServiceMBean

All Known Implementing Classes:
  MuleService

    public interface MuleServiceMBean

`MuleServiceMBean` is a JMX service interface for the MuleContext.

Field Summary
`static String` | `DEFAULT_JMX_NAME`

Method Summary
`void` | `dispose()`
`String` | `getBuildDate()`
`String` | `getBuildNumber()`
`String` | `getConfigBuilderClassName()` Contains value of option -builder
`String` | `getCopyright()`
`long` | `getFreeMemory()`
`String` | `getHostIp()`
`String` | `getHostname()`
`String` | `getInstanceId()`
`String` | `getJdkVersion()`
`String` | `getLicense()`
`long` | `getMaxMemory()`
`String` | `getOsVersion()`
`String` | `getServerId()`
`Date` | `getStartTime()`
`long` | `getTotalMemory()`
`String` | `getVendor()`
`String` | `getVersion()`
`boolean` | `isInitialised()`
`boolean` | `isStopped()`
`void` | `start()`
`void` | `stop()`

Field Detail

### DEFAULT_JMX_NAME

    static final String DEFAULT_JMX_NAME

See Also:
  Constant Field Values

Method Detail

### isInitialised

    boolean isInitialised()

### isStopped

    boolean isStopped()

### getStartTime

    Date getStartTime()

### getVersion

    String getVersion()

### getVendor

    String getVendor()

### start

    void start()
               throws MuleException

  Throws:
    `MuleException`

### stop

    void stop()
              throws MuleException

  Throws:
    `MuleException`

### dispose

    void dispose()
                 throws MuleException

  Throws:
    `MuleException`

### getFreeMemory

    long getFreeMemory()

### getMaxMemory

    long getMaxMemory()

### getTotalMemory

    long getTotalMemory()

### getServerId

    String getServerId()

### getHostname

    String getHostname()

### getHostIp

    String getHostIp()

### getOsVersion

    String getOsVersion()

### getJdkVersion

    String getJdkVersion()

### getCopyright

    String getCopyright()

### getLicense

    String getLicense()

### getBuildDate

    String getBuildDate()

### getBuildNumber

    String getBuildNumber()

### getInstanceId

    String getInstanceId()

### getConfigBuilderClassName

    String getConfigBuilderClassName()

  Contains value of option -builder

  Returns:
    builder class name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.